Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037311
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajorhave not tried2017-11-16 10:162017-11-27 10:22
ReporterAtulOpenbravoView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision9de3f82bf7d6
ProjectionnoneETAnoneTarget Version3.0PR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2017-11-08
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a87ba8a293e6224273bd2c70d0fcbb54d9ac8cf6 [^]
Triggers an Emergency PackNo
Summary

0037311: Sales Order selector in Generate Invoice process does not wok properly

DescriptionSales Order selector based on OB UI Selector reference in Generate Invoices process does not wok properly. It is not visible.
Steps To Reproduce- Login as F&B International Group Admin
- Navigate to Generate Invoices process (Sales Management | Transaction | Generate Invoices)
- Realize that no selector appears in front of Label Sales Order.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037303 closedcaristu Sales Order selector in Generate Invoice process does not wok properly 

-  Notes
(0100592)
hgbot (developer)
2017-11-17 15:01

Repository: erp/backports/3.0PR17Q4
Changeset: 9de3f82bf7d6b825b4bdcbc03a46da99740932b6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 17 14:59:23 2017 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/9de3f82bf7d6b825b4bdcbc03a46da99740932b6 [^]

fixes bug 37311: OB created partially in old processes shown in 3.0 windows

  With the changes introduced on issue 0035553, the OB object is generated in two stages: it is initialized when the JS static resources are loaded and secondly additional session data is included with the SessionDynamic request.

  In old processes inside 3.0 windows, a request to load the JS static resources is done but the SessionDynamic request is not. As a result, the OB object was generated partially. This caused JS errors when referencing to the missing data.

  To fix this issue, now when we are in an old process loaded inside a 3.0 window, instead of generating the OB object from scratch, it is cloned from the main OB object of the application which is generated right after logging in.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
---
(0100728)
alostale (developer)
2017-11-27 10:22

reviewed + tested

- Issue History
Date Modified Username Field Change
2017-11-16 16:44 caristu Type defect => backport
2017-11-16 16:44 caristu Target Version => 3.0PR17Q4
2017-11-17 15:01 hgbot Checkin
2017-11-17 15:01 hgbot Note Added: 0100592
2017-11-17 15:01 hgbot Status scheduled => resolved
2017-11-17 15:01 hgbot Resolution open => fixed
2017-11-17 15:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/9de3f82bf7d6b825b4bdcbc03a46da99740932b6 [^]
2017-11-17 15:05 caristu Review Assigned To => alostale
2017-11-27 10:22 alostale Note Added: 0100728
2017-11-27 10:22 alostale Status resolved => closed
2017-11-27 10:22 alostale Fixed in Version => 3.0PR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker